save vector layer as ... shp : useless "Layer options™ and "Provider options" frames
Status: Closed
Priority: Normal
Assignee:

Category: GUI

Affected QGIS version:2.4.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: worksforme

Copied to github as #: 19429

Description

Right click on a vector layer > save as... and choose shapefile as output format.
There is an useless frame "Layer options" in the dialog. | think it should be hidden, right?

Save the file to shapefile format.

Open againg the "save as... " dialog

You get Esri shapefile format that is proposed to you. At this step, not only you have "Layer options" frame but you have also "Provider(?)

options" frame. Both of them are empty so should be hidden. The second one disappear when you change output format and then choose

again shapefile format.

History

#1 - 2016-01-20 02:34 AM - Alexander Bruy
- Status changed from Open to Feedback

Seems fixed in master. Can we close this?

#2 - 2016-04-09 11:47 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

closing for lack of feedback. Please reopen if necessary.

#3 - 2016-04-09 12:01 PM - Harrissou Santanna

Sorry | didn't notice Alexander message. And indeed this has been fixed when new options have been added to this dialog few months ago.
